## q2-dada2 2024.5.0

=== Makefile ===
.PHONY: all lint test test-cov install dev clean distclean

PYTHON ?= python

all: ;

lint:
	q2lint
	flake8

test: all
	py.test

test-cov: all
	py.test --cov=q2_dada2

install: all
	$(PYTHON) setup.py install

dev: all
	pip install -e .

clean: distclean

distclean: ;

## q2-dada2 2020.11.1

=== debian/changelog ===
q2-dada2 (2020.11.1-3) unstable; urgency=medium

  * Team upload.
  * Depends: python3-biom-format
    Closes: #980281
  * Depends: q2-types, python3-skbio

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jan 2021 14:35:40 +0100

q2-dada2 (2020.11.1-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Mon, 14 Dec 2020 21:51:18 +0100

q2-dada2 (2020.11.1-1) unstable; urgency=medium

  * Initial release (Closes: #976863)

 -- Steffen Moeller <moeller@debian.org>  Tue, 08 Dec 2020 18:32:29 +0100

=== debian/control ===
Source: q2-dada2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               qiime (>= 2020.11.0),
               r-bioc-dada2
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/q2-dada2
Vcs-Git: https://salsa.debian.org/med-team/q2-dada2.git
Homepage: https://qiime2.org/
Rules-Requires-Root: no

Package: q2-dada2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         r-base-core,
         r-bioc-dada2,
         qiime,
         q2-types,
         python3-biom-format,
         python3-skbio
Description: QIIME 2 plugin to work with adapters in sequence data
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.
 .
 This package wraps the dada2 R package in BioConductor for modeling and
 correcting Illumina-sequenced amplicon errors. This was shown to improve the
 sensitivity of diversity analyses.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

# For testing, we need to deploy the project in the build directory
# so that qiime2 plugins are loaded
export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
# Un-deploy the project
export PYBUILD_AFTER_TEST=rm -v {build_dir}/site.py {build_dir}/.coverage*; \
	python{version} setup.py develop --uninstall --install-dir {build_dir}

%:
	dh $@ --with python3 --buildsystem=pybuild

# FIXME: similarly to the qiime and q2-types packages, the build time testing fails, as
#        the Qiime plugin system is not fully available at this point of the package
#        construction.  The test suite is only run at autopkgtest time, but this
#        is not ideal, since the only tested python version is the default one.
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_dada2"
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f q2_dada2.egg-info/PKG-INFO q2_dada2.egg-info/SOURCES.txt q2_dada2.egg-info/dependency_links.txt q2_dada2.egg-info/entry_points.txt q2_dada2.egg-info/not-zip-safe q2_dada2.egg-info/top_level.txt

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest-cov
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d[.\d]+@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/qiime2/q2-dada2/releases/latest .*/archive/(\d[.\d]+)@ARCHIVE_EXT@

## q2-dada2 2021.8.0

=== debian/changelog ===
q2-dada2 (2021.8.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Fix watchfile to detect new versions on github
  * Set versioned Depends to qiime and needed q2-modules

  [ Steffen Moeller ]
  * New upstream version
  * d/u/metadata: cosmetics
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 27 Sep 2021 20:50:52 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                dh-python,
                python3,
                python3-setuptools,
-               qiime (>= 2020.11.0),
+               qiime,
                r-bioc-dada2
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/q2-dada2
 Vcs-Git: https://salsa.debian.org/med-team/q2-dada2.git
 Homepage: https://qiime2.org/
@@ -22,8 +22,8 @@
          ${python3:Depends},
          r-base-core,
          r-bioc-dada2,
-         qiime,
-         q2-types,
+         qiime (>= 2021.8.0),
+         q2-types (>= 2021.8.0),
          python3-biom-format,
          python3-skbio
 Description: QIIME 2 plugin to work with adapters in sequence data

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/qiime2/q2-dada2/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## q2-dada2 2022.8.0

=== debian/changelog ===
q2-dada2 (2022.8.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload
  * i386 is explicitly excluded by Build-Depends: r-bioc-dada2
  * Standards-Version: 4.6.1 (routine-update)
  * Adjust versioned (Build-)Depends

  [ Mohammed Bilal ]
  * New upstream version 2022.8.0
  * Refresh patch
  * Update dependency on qiime/q2-* >= 2022.8.0

  [ Nilesh Patra ]
  * Depends on r-cran-optparse
  * Versioned dep on r-bioc-dada2

 -- Mohammed Bilal <mdbilal@disroot.org>  Thu, 08 Sep 2022 02:43:50 +0530

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                dh-python,
                python3,
                python3-setuptools,
-               qiime,
+               qiime (>= 2022.8.0),
                r-bioc-dada2
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-dada2
 Vcs-Git: https://salsa.debian.org/med-team/q2-dada2.git
 Homepage: https://qiime2.org/
@@ -21,9 +21,10 @@
          ${misc:Depends},
          ${python3:Depends},
          r-base-core,
-         r-bioc-dada2,
-         qiime (>= 2021.8.0),
-         q2-types (>= 2021.8.0),
+         r-bioc-dada2 (>= 1.24.0+dfsg-2~),
+         r-cran-optparse,
+         qiime (>= 2022.8.0),
+         q2-types (>= 2022.8.0),
          python3-biom-format,
          python3-skbio
 Description: QIIME 2 plugin to work with adapters in sequence data

## q2-dada2 2022.11.2

=== debian/changelog ===
q2-dada2 (2022.11.2-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 18:38:36 +0100

q2-dada2 (2022.11.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Bump versioned Depends
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jan 2023 21:11:56 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                dh-python,
                python3,
                python3-setuptools,
-               qiime (>= 2022.8.0),
+               qiime (>= 2022.11.1),
                r-bioc-dada2
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-dada2
 Vcs-Git: https://salsa.debian.org/med-team/q2-dada2.git
 Homepage: https://qiime2.org/
@@ -23,8 +23,8 @@
          r-base-core,
          r-bioc-dada2 (>= 1.24.0+dfsg-2~),
          r-cran-optparse,
-         qiime (>= 2022.8.0),
-         q2-types (>= 2022.8.0),
+         qiime (>= 2022.11.1),
+         q2-types (>= 2022.11.1),
          python3-biom-format,
          python3-skbio
 Description: QIIME 2 plugin to work with adapters in sequence data

## q2-dada2 2023.9.0

=== debian/changelog ===
q2-dada2 (2023.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Generate debian/control automatically to refresh version number
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 15:31:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
+# This file is autogenerated from control.in to update versioned dependencies
 Source: q2-dada2
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
                python3-setuptools,
-               qiime (>= 2022.11.1),
+               qiime (>= 2023.9),
                r-bioc-dada2
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-dada2
@@ -23,8 +24,8 @@
          r-base-core,
          r-bioc-dada2 (>= 1.24.0+dfsg-2~),
          r-cran-optparse,
-         qiime (>= 2022.11.1),
-         q2-types (>= 2022.11.1),
+         qiime (>= 2023.9),
+         q2-types (>= 2023.9),
          python3-biom-format,
          python3-skbio
 Description: QIIME 2 plugin to work with adapters in sequence data

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,15 @@
 export PYBUILD_AFTER_TEST=rm -v {build_dir}/site.py {build_dir}/.coverage*; \
 	python{version} setup.py develop --uninstall --install-dir {build_dir}
 
+include /usr/share/dpkg/default.mk
+VERSION_UPSTREAM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\(20[0-9][0-9]\.[0-9]\+\)\..*/\1/')
+
+debian/control: debian/control.in
+	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
+	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@
+
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 # FIXME: similarly to the qiime and q2-types packages, the build time testing fails, as
 #        the Qiime plugin system is not fully available at this point of the package

## q2-dada2 2024.5.0

=== debian/changelog ===
q2-dada2 (2024.5.0-1ubuntu2) oracular; urgency=medium

  * Rebuild against new qiime with python3.12 tests enabled.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jul 2024 08:37:00 +0200

q2-dada2 (2024.5.0-1ubuntu1) oracular; urgency=medium

  * Enable again building for Python 3.12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jul 2024 15:01:48 +0200

q2-dada2 (2024.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)
  * d/patches/configparser.patch: copy from qiime
  * Only build for Python 3.11 until upstream catches up with Python
    3.12.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 26 Jun 2024 15:18:45 +0200

q2-dada2 (2024.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)
  * Autopkgtest for all supported Python3 versions

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 12:58:54 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               python3,
+               python3-all,
                python3-setuptools,
-               qiime (>= 2023.9),
+               qiime (>= 2024.5),
                r-bioc-dada2
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-dada2
@@ -24,8 +24,8 @@
          r-base-core,
          r-bioc-dada2 (>= 1.24.0+dfsg-2~),
          r-cran-optparse,
-         qiime (>= 2023.9),
-         q2-types (>= 2023.9),
+         qiime (>= 2024.5),
+         q2-types (>= 2024.5),
          python3-biom-format,
          python3-skbio
 Description: QIIME 2 plugin to work with adapters in sequence data

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
+
+#export PYBUILD_DISABLE=python3.12
 
 # For testing, we need to deploy the project in the build directory
 # so that qiime2 plugins are loaded
